## EmpathyContactManager

EmpathyContactManager

## Synopsis

                        EmpathyContactManager;
    gboolean            empathy_contact_manager_initialized (void);
    EmpathyContactManager * empathy_contact_manager_dup_singleton
                                                            (void);
    EmpathyTpContactList * empathy_contact_manager_get_list (EmpathyContactManager *manager,
                                                             TpConnection *connection);
    EmpathyContactListFlags  empathy_contact_manager_get_flags_for_connection
                                                            (EmpathyContactManager *manager,
                                                             TpConnection *connection);

## Object Hierarchy

      GObject
       +----EmpathyContactManager

## Implemented Interfaces

EmpathyContactManager implements EmpathyContactList.

## Description

## Details

### EmpathyContactManager

    typedef struct _EmpathyContactManager EmpathyContactManager;

### empathy_contact_manager_initialized ()

    gboolean            empathy_contact_manager_initialized (void);

Reports whether or not the singleton has already been created.

There can be instances where you want to access the EmpathyContactManager only if it has been set up for this process.

Returns : | `TRUE` if the EmpathyContactManager singleton has previously been initialized.

### empathy_contact_manager_dup_singleton ()

    EmpathyContactManager * empathy_contact_manager_dup_singleton
                                                            (void);

Returns : |

### empathy_contact_manager_get_list ()

    EmpathyTpContactList * empathy_contact_manager_get_list (EmpathyContactManager *manager,
                                                             TpConnection *connection);

`manager` : |
`connection` : |
Returns : |

### empathy_contact_manager_get_flags_for_connection ()

    EmpathyContactListFlags  empathy_contact_manager_get_flags_for_connection
                                                            (EmpathyContactManager *manager,
                                                             TpConnection *connection);

`manager` : |
`connection` : |
Returns : |